{% load static %}
<!DOCTYPE html>
<html>
    <head>
        <title>Najmialy</title>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
        <link rel="shortcut icon" href="{% static '/story7/images/logo.jpg' %}">
        <style>
            .jumbotron{
                background-image: url("/static/story7/images/buku.jpg");
                background-repeat: no-repeat;
                background-size: cover;
                opacity: 0.6;
            }
            .jumbotron:hover{
                opacity: 1.0;
            }
            .jb{
                color: #E79341;
                padding: 5px;
                text-shadow: 0px 0px 10px #000000;
                text-shadow: 0px 0px 10px #000000;
                -webkit-text-stroke: 0.4px #14130F;;
            }
            h1.hello{
                font-size: 50px;
                text-align: center;
                color: #E79341;
                letter-spacing: 5px;
                font-weight: bold;
            }
            p.jbp1{
                text-align: center;
                font-size: 28px;
                font-weight: bold;
                letter-spacing: 3px;
            }
            p.jbp{
                text-align: center;
                font-size: 35px;
                font-weight: bold;
                letter-spacing: 3px;
                margin-top: -18px;
            }
            body{
                background-color: #14130F;
                color: white;
            }
            span.icon {
                width: 100%;
                outline: none;
                transition: 0.4s;
                background-color: #E79341;
                color: #14130F;
                border-radius: 20px;
            }
            .fa-search{
                margin: auto;
            }
            .active, span.icon:hover {
                background-color: #ccc;
                color: #E79341; 
            }
            .input-group-text{
                border-style: none;
            }
            input.form-control{
                height: 40px;
                padding: 0 0 0 20px;
                font-size: 15px;
                border-radius: 20px;
            }
            .input-group-append{
                width: 50px;
            }
            .table{
                color: #ccc;
                margin: auto;
                text-align: center;
                width: 350px;
                border-radius: 20px;
                font-size: 13px;
            }
            tr{
                border-style: solid;
                background-color: #14130F;
                border-radius: 40px;
                border-color: #E79341;
            }
            p{
                font-size: 10px;
                font-weight: 400;
            }
            a:link, a:visited {
                color: #E79341;
                padding: 14px 25px;
                text-align: center;
                text-decoration: none;
                display: inline-block;
            }
            a:hover, a:active {
                color: #ccc;
                text-decoration: underline;
            }
            nav.nav{
                font-size: 13px;
            }
            a.active{
                background-color: #E79341;
                color: #ccc;
            }
            a.active:hover{
                color: #14130F;
            }
        </style>
    </head>
    <body>
        <nav class="nav">
            <a class="nav-link" href="../">Home</a>
            <a class="nav-link active" href="#">Libra-ry</a>

            {% if user.is_authenticated %}
            <div class="nav-right">
                <a class="nav-link" href="/logout/">Logout</a>
            </div>
            {% else %}
            <div class="nav-right">
                <a class="nav-link" href="/login/">Login</a>
            </div>

            {% endif %}
            {% comment %} <a class="nav-link disabled" href="#" tabindex="-1" aria-disabled="true">Disabled</a> {% endcomment %}
        </nav>
        <div class="jumbotron jumbotron-fluid">
            <div class="container jb" style="opacity: 1.0;">
                <h1 class="hello">W E L C O M E</h1>
                <p class="jbp1">to</p>
                <p class="jbp">Library-site</p>
            </div>
        </div>
        <div class="container">
            <div class="input-group">
                <input id="search" class="form-control" placeholder="Search book by title or author">
                <div class="input-group-append">
                    <span class="icon input-group-text" id="basic-text1"><i class="fa fa-search fa-2x"></i></span>
                </div>
            </div>
            <br>
            <div>
                <table class="table">
                    <tbody id="results">
                    </tbody>
                </table>
            </div>
        </div>

        <script>
            $(document).ready(function(){
                ajaxSearch("harry");
                $("#search").keyup(function(){
                    var search = $("#search").val();
                    console.log(search)
                    ajaxSearch(search);
                });
            });

            function ajaxSearch(search){
                $.ajax({
                    url: "/Libra-ry/data?q=" + search,
                    success: function(data){
                        console.log(data)
                        $("#results").empty()
                        for(i = 0; i < data.items.length; i++){
                            if (data.items[i].searchInfo == "undefined"){
                                data.items[i].searchInfo.textSnippet = "Tidak ada textSnippet";
                            }
                            results.innerHTML += "<br><tr><th><img src=" + data.items[i].volumeInfo.imageLinks.thumbnail + "></th><th><br>" + data.items[i].volumeInfo.title + "<br><br><p>author: " + data.items[i].volumeInfo.authors + "<br><br><a href=" + data.items[i].volumeInfo.infoLink  + ">More info</a></th></tr><br>"
                        }
                    },
                    type: 'GET'
                });
            }
            
        </script>
    </body>
</html>
